 SUBROUTINE empty_sol(list_sol)
!=========================== DOCUMENTATION ============================= 
!DOCDEBh*    GEO/PRE/empty_sol  *
!
!    NOM
! empty_sol(list_sol)
!    DESCRIPTION 
!*
! Vide la liste des solides
! Empty the list of solids
!*
! 
!
!    ENTREES / INPUT
!    list_sol : liste de solides / List of solides
!
!    SORTIES / OUTPUT
!    list_sol : liste de solides / List of solides
!
!    SOURCE
! Ce logiciel est regi par la licence [CeCILL-B]
! This software is governed by the [CeCILL-B] license
!=========================== DEBUT DES DECLARATIONS ==================== 
!.1-----  Implicit, Use
  use geo_typ
  IMPLICIT NONE
!.2-----  Declaration
  type(solide), dimension(10), intent(inout) :: list_sol !! liste des solides / List of solides
  integer :: i
!=========================== DEBUT DU CODE EXECUTABLE ==================


  DO i=1,nb_sol_max
!     IF (allocated(list_sol(i)%list_cells)) deallocate(list_sol(i)%list_cells)
     IF (allocated(list_sol(i)%list_vertex)) deallocate(list_sol(i)%list_vertex)
     IF (allocated(list_sol(i)%list_facette)) deallocate(list_sol(i)%list_facette)
  END DO
!===========================   FIN DE LA ROUTINE    ====================

END SUBROUTINE empty_sol
!DOCFIN
